const
  n=50; //длина цепочки

var
  i: integer;

begin
  //прямая цепочка
  for i:=1 to n-1 do
    write('(~x',i,' OR x',i+1,') AND ');
  write('(~x',n,' OR ~x1) AND ');
  //обратная цепочка
  write('(x1 OR x',n+1,') AND ');
  for i:=n+1 to n*2-1 do
    write('(~x',i,' OR x',i+1, ') AND ');
  writeln('(~x',n*2,' OR x1)');
end.
